ultimix

- Main Page
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
fs_markup_1_0_0 Class Reference

## Public Member Functions
| __construct ()
| compile_basename (&$Settings)
| compile_image_path (&$Settings)
| compile_package_path (&$Settings)

## Data Fields
| $CachedMultyFS = false
| $TemplateManager = false

## Detailed Description

Class processes file system macro.

Author
  Dodonov A.A.

Definition at line 26 of file fs_markup.php.

## Constructor & Destructor Documentation

__construct | ( |  | ) |

Constructor.

Author
  Dodonov A.A.

Definition at line 51 of file fs_markup.php.

{
try
{
$this->CachedMultyFS = get_package( 'cached_multy_fs' , 'last' , __FILE__ );
$this->TemplateManager = get_package( 'template_manager' , 'last' , __FILE__ );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Member Function Documentation

compile_basename | ( | & | $Settings | ) |

Function returns field value.

Parameters

  $Settings | - Extraction parameters.

Returns
  Field value.

Exceptions

  Exception | - An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 86 of file fs_markup.php.

{
try
{
return( basename( $Settings->get_setting( 'value' ) ) );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

compile_image_path | ( | & | $Settings | ) |

Function compiles macro 'image_path'.

Parameters

  $Settings | - Compilation parameters.

Returns
  HTML ccode.

Exceptions

  Exception | - An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 165 of file fs_markup.php.

{
try
{
$FileName = $Settings->get_setting( 'file_name' );
if( $Settings->get_setting( 'package_name' , false ) === false )
{
$RealFilePath = $this->get_path_from_template();
}
else
{
$PackageFilePath = _get_package_relative_path_ex(
$Settings->get_setting( 'package_name' ) , $Settings->get_setting( 'package_version' , 'last' )
);
$RealFilePath = $PackageFilePath."/res/images/$FileName";
if( file_exists( $RealFilePath ) === false )
{
throw( new Exception( "File '$FileName' was not found" ) );
}
}
return( $RealFilePath );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

compile_package_path | ( | & | $Settings | ) |

Function processes macro 'package_path'.

Parameters

  $Settings | - Compilation parameters.

Returns
  Path.

Exceptions

  Exception | - An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 217 of file fs_markup.php.

{
try
{
$RealPackagePath = _get_package_relative_path_ex(
$Settings->get_setting( 'package_name' ) ,
$Settings->get_setting( 'package_version' , 'last' )
);
return( $RealPackagePath );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Field Documentation

$CachedMultyFS = false

Cached objects.

Author
  Dodonov A.A.

Definition at line 38 of file fs_markup.php.

$TemplateManager = false

Definition at line 39 of file fs_markup.php.

The documentation for this class was generated from the following file:

- packages/gui/packages/fs_markup/fs_markup.php